Resource

Scheduled Maintenance Feed

Log of the entire scheduled maintenance state change. This is a log of all the scheduled maintenance state changes, public notes, more etc.

The Scheduled Maintenance Feed Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    scheduledMaintenance
    Type
    Scheduled Maintenance Event
    Description

    Relation to ScheduledMaintenance in which this resource belongs

  • Name
    scheduledMaintenanceId
    Type
    Object IDRequired
    Description

    Relation to ScheduledMaintenance ID in which this resource belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    feedInfoInMarkdown
    Type
    MarkdownRequired
    Description

    Log of the entire scheduled maintenance state change in Markdown

  • Name
    moreInformationInMarkdown
    Type
    Markdown
    Description

    More information in Markdown

  • Name
    scheduledMaintenanceFeedEventType
    Type
    TextRequired
    Description

    ScheduledMaintenance Log Event

  • Name
    displayColor
    Type
    ColorRequired
    Description

    Display color for this log

  • Name
    user
    Type
    User
    Description

    Relation to User who this feed belongs to (if this feed belongs to a User)

  • Name
    userId
    Type
    Object ID
    Description

    User who this feed belongs to (if this feed belongs to a User)

  • Name
    postedAt
    Type
    Date
    Description

    Date and time when the feed was posted

GETorPOST/api/scheduled-maintenance-feed/get-list

List

This endpoint allows you to retrieve a paginated list of all your Scheduled Maintenance Feed. By default, a maximum of ten Scheduled Maintenance Feed are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/scheduled-maintenance-feed/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "displayColor": true,
    "feedInfoInMarkdown": true,
    "projectId": true,
    "scheduledMaintenanceFeedEventType": true,
    "scheduledMaintenanceId": true
  },
  "query": {
    "scheduledMaintenanceFeedEventType": "ScheduledMaintenanceCreated"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377959e0-28fe-11f1-b591-3fdcef396aba",
      "displayColor": "#3498db",
      "feedInfoInMarkdown": "## Scheduled Maintenance Created\n\nA new scheduled maintenance window has been created for database upgrade. Expected downtime: 2 hours.",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "scheduledMaintenanceFeedEventType": "ScheduledMaintenanceCreated",
      "scheduledMaintenanceId": "7a2b8c9d-f3e4-5c6d-9e7f-8a9b0c1d2e3f"
    },
    {
      "_id": "377959e1-28fe-11f1-b591-3fdcef396aba",
      "displayColor": "#3498db",
      "feedInfoInMarkdown": "## Scheduled Maintenance Created\n\nA new scheduled maintenance window has been created for database upgrade. Expected downtime: 2 hours.",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "scheduledMaintenanceFeedEventType": "ScheduledMaintenanceCreated",
      "scheduledMaintenanceId": "7a2b8c9d-f3e4-5c6d-9e7f-8a9b0c1d2e3f"
    },
    {
      "_id": "377959e2-28fe-11f1-b591-3fdcef396aba",
      "displayColor": "#3498db",
      "feedInfoInMarkdown": "## Scheduled Maintenance Created\n\nA new scheduled maintenance window has been created for database upgrade. Expected downtime: 2 hours.",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "scheduledMaintenanceFeedEventType": "ScheduledMaintenanceCreated",
      "scheduledMaintenanceId": "7a2b8c9d-f3e4-5c6d-9e7f-8a9b0c1d2e3f"
    }
  ]
}
GETorPOST/api/scheduled-maintenance-feed/:id/get-item

Get item by ID

This endpoint allows you to retrieve Scheduled Maintenance Feed by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/scheduled-maintenance-feed/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "displayColor": true,
    "feedInfoInMarkdown": true,
    "projectId": true,
    "scheduledMaintenanceFeedEventType": true,
    "scheduledMaintenanceId": true
  }
}

Response

{
  "_id": "377959e0-28fe-11f1-b591-3fdcef396aba",
  "displayColor": "#3498db",
  "feedInfoInMarkdown": "## Scheduled Maintenance Created\n\nA new scheduled maintenance window has been created for database upgrade. Expected downtime: 2 hours.",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "scheduledMaintenanceFeedEventType": "ScheduledMaintenanceCreated",
  "scheduledMaintenanceId": "7a2b8c9d-f3e4-5c6d-9e7f-8a9b0c1d2e3f"
}
POST/api/scheduled-maintenance-feed/count

Count

This endpoint allows you to retrieve the count of all your Scheduled Maintenance Feed.

Optional Request Body

Count Request

POST
/api/scheduled-maintenance-feed/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "scheduledMaintenanceFeedEventType": "ScheduledMaintenanceCreated"
  }
}

Response

{
  "count": 107
}
POST/api/scheduled-maintenance-feed

Create Scheduled Maintenance Feed

This endpoint allows you to create a new object.

Create Request

POST
/api/scheduled-maintenance-feed
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "displayColor": "#3498db",
    "feedInfoInMarkdown": "## Scheduled Maintenance Created\n\nA new scheduled maintenance window has been created for database upgrade. Expected downtime: 2 hours.",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "scheduledMaintenanceFeedEventType": "ScheduledMaintenanceCreated",
    "scheduledMaintenanceId": "7a2b8c9d-f3e4-5c6d-9e7f-8a9b0c1d2e3f"
  }
}

Response

{
  "_id": "377959e0-28fe-11f1-b591-3fdcef396aba",
  "displayColor": "#3498db",
  "feedInfoInMarkdown": "## Scheduled Maintenance Created\n\nA new scheduled maintenance window has been created for database upgrade. Expected downtime: 2 hours.",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "scheduledMaintenanceFeedEventType": "ScheduledMaintenanceCreated",
  "scheduledMaintenanceId": "7a2b8c9d-f3e4-5c6d-9e7f-8a9b0c1d2e3f"
}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Scheduled Maintenance Feed

  • Project Owner
  • Project Admin
  • Project Member
  • Read Scheduled Maintenance Log
  • Read All Project Resources

Create Permissions

Required to create Scheduled Maintenance Feed

  • Project Owner
  • Project Admin
  • Project Member
  • Create Scheduled Maintenance Log

Update Permissions

Required to update Scheduled Maintenance Feed

This resource cannot be updated via the API

Delete Permissions

Required to delete Scheduled Maintenance Feed

This resource cannot be deleted via the API